Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047111
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2021-06-14 11:262022-05-19 12:16
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in VersionPR22Q3
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047111: Upgrade jUnit to latest 4.x version

DescriptionThe junit library version is outdated (4.12) and should be updated to the latest 4.x version (4.13.1)

https://github.com/junit-team/junit4/blob/HEAD/doc/ReleaseNotes4.13.md [^]
https://github.com/junit-team/junit4/blob/HEAD/doc/ReleaseNotes4.13.1.md [^]
https://github.com/junit-team/junit4/blob/HEAD/doc/ReleaseNotes4.13.1.md [^]

Note that 4.13 deprecrated Assert.assertThat which is used heavily (762 in backoffice alone) so that will require some simple but broad changes.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0047112 newTriage Platform Base Research upgrade jUnit to latest new major 5.x version 
blocks design defect 0047090 newTriage Platform Base Tracking issue: Library update 

-  Notes
(0132991)
hgbot (developer)
2021-11-12 07:46

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/455 [^]
(0133549)
hgbot (developer)
2021-12-09 10:53

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.integration.magento.core/-/merge_requests/3 [^]
(0133559)
hgbot (developer)
2021-12-09 12:20

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/merge_requests/47 [^]
(0133560)
hgbot (developer)
2021-12-09 12:26

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.loyalty.earn.buyxearny/-/merge_requests/6 [^]
(0133561)
hgbot (developer)
2021-12-09 13:19

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.oms.orderconfirmation/-/merge_requests/3 [^]
(0133562)
hgbot (developer)
2021-12-09 13:25

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.taxes/-/merge_requests/10 [^]
(0133567)
hgbot (developer)
2021-12-09 14:35

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.bytotal/-/merge_requests/14 [^]
(0133568)
hgbot (developer)
2021-12-09 14:38

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.combo/-/merge_requests/18 [^]
(0133598)
hgbot (developer)
2021-12-10 10:31

Merge Request created: https://gitlab.com/openbravo/ci/modules/org.openbravo.dqm.capency.testing/-/merge_requests/2 [^]
(0133599)
hgbot (developer)
2021-12-10 10:33

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.scaledprice/-/merge_requests/6 [^]
(0133600)
hgbot (developer)
2021-12-10 10:38

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.loyalty.burn.coupon/-/merge_requests/3 [^]
(0133601)
hgbot (developer)
2021-12-10 10:47

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.loyalty.burn.expired/-/merge_requests/3 [^]
(0133602)
hgbot (developer)
2021-12-10 10:49

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.loyalty.burn.giftcertificate/-/merge_requests/3 [^]
(0133603)
hgbot (developer)
2021-12-10 10:51

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.maintenancemanagement.infrastructure/-/merge_requests/2 [^]
(0133604)
hgbot (developer)
2021-12-10 10:53

Merge Request created: https://gitlab.com/openbravo/product/mods/org.openbravo.module.productbomversion/-/merge_requests/2 [^]
(0133605)
hgbot (developer)
2021-12-10 10:55

Merge Request created: https://gitlab.com/openbravo/ci/modules/org.openbravo.service.external.integration.tests/-/merge_requests/4 [^]
(0133953)
hgbot (developer)
2021-12-24 11:40

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.selfreplenishment/-/merge_requests/4 [^]
(0133967)
hgbot (developer)
2021-12-24 15:26

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.jsexecutor/-/merge_requests/5 [^]
(0133985)
hgbot (developer)
2021-12-27 12:43

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/merge_requests/43 [^]
(0133992)
hgbot (developer)
2021-12-27 16:04

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.api/-/merge_requests/30 [^]
(0133998)
hgbot (developer)
2021-12-28 09:17

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.api.giftcards/-/merge_requests/2 [^]
(0133999)
hgbot (developer)
2021-12-28 09:43

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.discounts/-/merge_requests/14 [^]
(0134052)
hgbot (developer)
2021-12-29 16:07

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/-/merge_requests/6 [^]
(0134053)
hgbot (developer)
2021-12-29 16:21

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.operatorloadbalancing/-/merge_requests/4 [^]
(0134054)
hgbot (developer)
2021-12-29 16:29

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.batchwavepicking/-/merge_requests/2 [^]
(0134055)
hgbot (developer)
2021-12-29 16:31

Merge Request created: https://gitlab.com/openbravo/product/mods/org.openbravo.france.ecotax/-/merge_requests/1 [^]
(0134056)
hgbot (developer)
2021-12-29 16:33

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discount.twofamiliescombo/-/merge_requests/2 [^]
(0134057)
hgbot (developer)
2021-12-29 16:36

Merge Request created: https://gitlab.com/openbravo/product/mods/org.openbravo.distributionorder/-/merge_requests/7 [^]
(0134058)
hgbot (developer)
2021-12-29 16:39

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.oms/-/merge_requests/3 [^]
(0134059)
hgbot (developer)
2021-12-29 16:41

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.oms.retail/-/merge_requests/4 [^]
(0135801)
hgbot (developer)
2022-03-17 13:16

Merge Request created: https://gitlab.com/openbravo/product/pmods/com.practicsbs.saftpt.retail/-/merge_requests/41 [^]
(0135802)
hgbot (developer)
2022-03-17 13:27

Merge Request created: https://gitlab.com/openbravo/product/pmods/com.practicsbs.saftpt/-/merge_requests/28 [^]
(0135803)
hgbot (developer)
2022-03-17 13:35

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.api/-/merge_requests/14 [^]
(0135837)
hgbot (developer)
2022-03-18 09:39

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.externaldata.integration/-/merge_requests/18 [^]
(0137261)
hgbot (developer)
2022-05-13 11:31

Merge Request created: https://gitlab.com/openbravo/ci/modules/org.openbravo.api.tests/-/merge_requests/11 [^]
(0137263)
hgbot (developer)
2022-05-13 13:06

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/957 [^]
(0137365)
hgbot (developer)
2022-05-17 11:26

Merge request closed: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.api.giftcards/-/merge_requests/2 [^]
(0137367)
hgbot (developer)
2022-05-17 12:03

Merge request closed: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.api/-/merge_requests/30 [^]
(0137461)
hgbot (developer)
2022-05-19 09:55

Repository: https://gitlab.com/openbravo/ci/modules/org.openbravo.service.external.integration.tests [^]
Changeset: 0f706511939bfdebd20feb8627faf9ac8080c0f1
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 18-05-2022 19:20:31
URL: https://gitlab.com/openbravo/ci/modules/org.openbravo.service.external.integration.tests/-/commit/0f706511939bfdebd20feb8627faf9ac8080c0f1 [^]

Related to ISSUE-47111: Replace deprecated assertThat from org.junit with org.hamcrest

---
M src-test/org/openbravo/service/external/integration/test/_import/BusinessPartnerImportTest.java
M src-test/org/openbravo/service/external/integration/test/_import/CountryImportWithExtensionsTest.java
M src-test/org/openbravo/service/external/integration/test/_import/PriceListImportTest.java
M src-test/org/openbravo/service/external/integration/test/_import/ProductImportTest.java
M src-test/org/openbravo/service/external/integration/test/_import/UserImportTest.java
M src-test/org/openbravo/service/external/integration/test/_import/UserRolesImportTest.java
M src-test/org/openbravo/service/external/integration/test/converter/JsonToSynchronizableBusinessObjectConverterTest.java
M src-test/org/openbravo/service/external/integration/test/datasource/JavaPropertyMappingHandlerDSTest.java
M src-test/org/openbravo/service/external/integration/test/datasource/QueryExporterDSTest.java
M src-test/org/openbravo/service/external/integration/test/export/CountryExportTest.java
M src-test/org/openbravo/service/external/integration/test/export/CountryExportWithExtensionsTest.java
M src-test/org/openbravo/service/external/integration/test/export/ExporterFactoryTest.java
M src-test/org/openbravo/service/external/integration/test/process/HqlQueryBuilderTest.java
M src-test/org/openbravo/service/external/integration/test/process/InitializeEntitySynchronizationTest.java
M src-test/org/openbravo/service/external/integration/test/property_mappings/_import/AdvancedImportPropertyMappingTest.java
M src-test/org/openbravo/service/external/integration/test/property_mappings/_import/BasicImportPropertyMappingTest.java
M src-test/org/openbravo/service/external/integration/test/property_mappings/_import/ImportJsonPropertyMappingTest.java
M src-test/org/openbravo/service/external/integration/test/property_mappings/export/ExportJsonPropertyMappingTest.java
M src-test/org/openbravo/service/external/integration/test/property_mappings/export/ExportPropertyMappingTest.java
M src-test/org/openbravo/service/external/integration/test/util/DateTimeUtilityTest.java
M src-test/org/openbravo/service/external/integration/test/util/SynchronizableBusinessObjectToJsonConverterTest.java
---
(0137462)
hgbot (developer)
2022-05-19 09:55

Merge request merged: https://gitlab.com/openbravo/ci/modules/org.openbravo.service.external.integration.tests/-/merge_requests/4 [^]
(0137463)
hgbot (developer)
2022-05-19 09:55

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts [^]
Changeset: ecaee789190fa91e05ee10698ddace63f2646775
Author: meriem azaf <meriem.azaf@openbravo.com>
Date: 19-05-2022 07:55:38
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/commit/ecaee789190fa91e05ee10698ddace63f2646775 [^]

Related to ISSUE-47111: Replaces deprecated assertThat from org.junit with org.hamcrest and ExpectedException with assertThrows

---
M src-test/org/openbravo/retail/discounts/test/base/DiscountsBaseTest.java
M src-test/org/openbravo/retail/discounts/test/base/model/definition/FixedPercentage.java
M src-test/org/openbravo/retail/discounts/test/integration/PriceAdjusmentAndBuyXGiftY.java
M src-test/org/openbravo/retail/discounts/test/integration/PriceAdjusmentAndBuyXPayYDifferentProducts.java
M src-test/org/openbravo/retail/discounts/test/integration/PriceAdjusmentAndBuyXPayYSameProducts.java
M src-test/org/openbravo/retail/discounts/test/integration/PriceAdjusmentAndUserDefinedAmount.java
M src-test/org/openbravo/retail/discounts/test/integration/PriceAdjustmentAndFixedPercentage.java
M src-test/org/openbravo/retail/discounts/test/unittests/DiscountBuyXGiftYTest.java
M src-test/org/openbravo/retail/discounts/test/unittests/DiscountBuyXPayYDifferentProductsTest.java
M src-test/org/openbravo/retail/discounts/test/unittests/DiscountBuyXPayYSameProductsTest.java
M src-test/org/openbravo/retail/discounts/test/unittests/DiscountDiscretionaryFixedAmountTest.java
M src-test/org/openbravo/retail/discounts/test/unittests/DiscountDiscretionaryFixedPercentageTest.java
M src-test/org/openbravo/retail/discounts/test/unittests/DiscountFixedPercentageTest.java
M src-test/org/openbravo/retail/discounts/test/unittests/DiscountPackTest.java
M src-test/org/openbravo/retail/discounts/test/unittests/DiscountPriceAdjusmentTest.java
M src-test/org/openbravo/retail/discounts/test/unittests/DiscountPriceAdjusmentWithAvailabilityTest.java
M src-test/org/openbravo/retail/discounts/test/unittests/DiscountPriceAdjusmentWithIncompatibilityTest.java
M src-test/org/openbravo/retail/discounts/test/unittests/DiscountUserDefinedAmountTest.java
M src-test/org/openbravo/retail/discounts/test/unittests/DiscountUserDefinedLineAmountTest.java
M src-test/org/openbravo/retail/discounts/test/unittests/DiscountUserDefinedPercentageTest.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I28120_SameProductInTwoPacks.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I28164_DiscountsRemovedWhenReturnPresent.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I30176_UndefinedDiscountWhenReturning.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I30385_LayawayDiscountUndef.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I30542_BuyXPayYDiffProd_Average.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I30542_BuyXPayYDiffProd_Lowest.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I30542_BuyXPayYDiffProd_LowestDistributed.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I30542_BuyXPayYDiffProd_MostExpensive.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I32243_VerifyProductDiscountWithVariableAmount.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I32338_ApplyManualPromoAfterTapButtonPay.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I32533_DiscountsByProductCharacteristic.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I32596_AddProductNotCreateNewPack.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I32601_ReturnLineAndApplyPromotion.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I32674_VerifyDiscountOnReloadTicket.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I33201_VerifyPackCombinedWithManualPromotions.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I33390_BuyXPayYSameNonGroupProduct.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I34372_VerifyDiscountInDeletedReceipt.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I35006_VerifyDiscountPriorityOnUpdate.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I35082_PriceAdjusmentWithALineCandidateForPack.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I35583_VerifyPackAmountWithLineAmount.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I35637_VerifyPriceAdjWithIsMultiple.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I36003_VerifyDiscountWithNonGroupedProduct.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I36160_VerifyDiscountWithIncludeExcludeProducts.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I36520_VerifyDiscountWithAssortmentProducts.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I36549_VerifyPriceAdjIsNotBiggestThanLinePrice.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I36851_PackDiscountIsNotWorkingWithNonGroupedProducts.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I37220_VerifyDiscountOnVerifiedReturns.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I39495_VerifyDiscountOnNegativeLine.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I39841_VerifyTicketPaymentIfApprovalForDiscretionaryDiscount.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I40812_VerifyMultiManualDiscounts.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I41396_VerifyDiscountAppliedToOneLineAfterSplit.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I42883_DiscountsByCharacteristicIsWellApplied.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I43502_DiscountsByProductCharacteristic.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I47741_VerifyDiscountAfterQtyConsumed.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/ManualAfterAutomatic_DiscretionaryDiscountAfterAutomatic.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/ManualAfterAutomatic_DiscretionaryDiscountAfterAutomaticPercent.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/ManualAfterAutomatic_VerifyDiscountWithAmount.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/ManualAfterAutomatic_VerifyDiscountWithoutAmount.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/MultiPromotions_BuyXPayYDiffProducts_AverageI.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/MultiPromotions_BuyXPayYDiffProducts_AverageII.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/MultiPromotions_BuyXPayYDiffProducts_LowestDistributedI.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/MultiPromotions_BuyXPayYDiffProducts_LowestDistributedII.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/MultiPromotions_BuyXPayYDiffProducts_LowestNotDistributedI.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/MultiPromotions_BuyXPayYDiffProducts_LowestNotDistributedII.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/MultiPromotions_BuyXPayYDiffProducts_MostExpensiveNotDistributedI.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/MultiPromotions_BuyXPayYDiffProducts_MostExpensiveNotDistributedII.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/ReceiptDiscount.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/SplitDiscountsForNonGroupedProducts.java
---
(0137464)
hgbot (developer)
2022-05-19 09:55

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/merge_requests/47 [^]
(0137465)
hgbot (developer)
2022-05-19 09:55

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.jsexecutor [^]
Changeset: 015807994cc9414cbe0893d8543c859e71b4f400
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 18-05-2022 10:59:49
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.jsexecutor/-/commit/015807994cc9414cbe0893d8543c859e71b4f400 [^]

Related to ISSUE-47111: Replace deprecated ExpectedException with assertThrows

---
M src-test/org/openbravo/service/jsexecutor/test/base/RemoteBaseTest.java
---
(0137466)
hgbot (developer)
2022-05-19 09:55

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.jsexecutor/-/merge_requests/5 [^]
(0137467)
hgbot (developer)
2022-05-19 09:56

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders [^]
Changeset: c16e7b26b5009e921c9531012215854b65044e1e
Author: meriem azaf <meriem.azaf@openbravo.com>
Date: 19-05-2022 07:56:28
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/-/commit/c16e7b26b5009e921c9531012215854b65044e1e [^]

Related to ISSUE-47111: Replaces deprecated assertThat from org.junit with org.hamcrest and ExpectedException with assertThrows

---
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/AWOu05_ToleranceDistributionOrderIssue.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/AWOu05a_ToleranceDistributionOrderIssue.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/AWOu05b_ToleranceDistributionOrderIssue.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/AWOu05c_ToleranceDistributionOrderIssue.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/AWOu05d_ToleranceDistributionOrderIssue.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/AWOu06_TolerancePickingDistributionOrder.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/AWOu06a_TolerancePickingDistributionOrder.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/AWOu06b_TolerancePickingDistributionOrder.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/AWOu06c_TolerancePickingDistributionOrder.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/AWOu06d_TolerancePickingDistributionOrder.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/AWOu09_ToleranceDistributionOrderReceiptWithOverReception.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/AWOu10_ToleranceDistributionOrderReceiptWithoutOverReception.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/OBDOAWOCloseDistributionOrder.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/OBDOAWODeviationToCrossDocking.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/OBDOPartiallyReceiveDistributionOrderReceiptTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/OBDOReferencedInventoryTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/OBDOReservationTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/OBDOTaskWithAttributeTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/OBDOWithAWOTests.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/utils/DistributionOrdersWithAWOTestUtils.java
---
(0137468)
hgbot (developer)
2022-05-19 09:56

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations [^]
Changeset: 5e1c1712844da794f31d4f363dd8730e22c9cd8f
Author: meriem azaf <meriem.azaf@openbravo.com>
Date: 19-05-2022 07:56:25
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/commit/5e1c1712844da794f31d4f363dd8730e22c9cd8f [^]

Related to ISSUE-47111: Replace deprecated assertThat from org.junit with org.hamcrest and ExpectedException with assertThrows

---
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOa_BasicFunctionalFlowsWithoutAWOPreference.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOb_BasicFunctionalFlowsWithAWOPreference.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOc_AWOFunctionalFlows.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOd_AWOFunctionalFlowsWithAttribute.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOe_PAAlgorithms.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOf_PAAlgorithmsWithCapacity.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOg_PKAlgorithms.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOh_InventoryStatusWithAWOEnabled.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOi_InventoryStatusWithoutAWOEnabled.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOj_Occupancy.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOk_DeltaManagement.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOl_Rounding.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOm_WarehouseConfigurationCheck.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOn_ITTRoutingBaseTaskTypeMismatch.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOq_PendingPickingLines.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOri_BoxAndUnboxWithReservationDefinedLocator.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOri_BoxPlannedToCalculatedLocator.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOri_DeltaBoxPlannedToCalculatedLocator.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOri_DeltaBoxPlannedToDefinedLocator.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOri_DeltaUnBoxToCalculatedLocator.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOri_DeltaUnBoxToDefinedLocator.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOri_MultiBoxPlannedToDefinedLocator.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOri_ReferencedInventoryBoxTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOri_ReferencedInventoryUnboxTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOri_RemoveReferenceFlagConfigurationChecks.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOri_UnBoxToCalculateddLocator.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOrii_MoveReferencedInventory.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOrii_OccupancyReferencedInventory.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOrii_PutAwayReferencedInventory.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOrii_ReferencedInventoryImprovementBoxTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOs00_AttributeLifeCycleUpdatableAttributeWithoutReservation.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOs01_AttributeLifeCycleUpdatableAttributeWithReservationCreatesOneTaskThatMovesReservation.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOs02_AttributeLifeCycleUpdatableAttributeWithReservationCreatesOneTaskThatDoesNotMoveReservation.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOs03_AttributeLifeCycleUpdatableAttributeWithReservationCreatesTwoTasksWithAndWithoutMovingReservation.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOs17_AttributeLifeCycleUtilsCornerCases.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOs18_AttributeLifeCycleUtilsCornerCases.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOs19_AttributeLifeCycleUtilsCornerCases.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOs20_AttributeLifeCycleUtilsCornerCases.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOs21_AttributeLifeCycleUpdateNonUpdatableListAttribute.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOs22_AttributeLifeCycleUpdateNonUpdatableAttribute.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOs30_AttributeLifeCycleUtilsGetUpdatableAttributeIds.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOs_AttributeLifeCycle.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOsds_StorageDetailSwapAssertUtils.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOsds_StorageDetailSwapUtils.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu01_ToleranceReceiptPurchaseOrderTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu01a_ToleranceReceiptPurchaseOrderTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu01b_ToleranceReceiptPurchaseOrderTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu02_TolerancePickingSalesOrderTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu02a_TolerancePickingSalesOrderTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu02b_TolerancePickingSalesOrderTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu02c_TolerancePickingSalesOrderTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu02d_TolerancePickingSalesOrderTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu03_ToleranceIssueSalesOrderTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu03a_ToleranceIssueSalesOrderTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu03b_ToleranceIssueSalesOrderTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu03c_ToleranceIssueSalesOrderTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu03d_ToleranceIssueSalesOrderTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu04_TolerancePutAwayTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu04a_TolerancePutAwayTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu04b_TolerancePutAwayTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu04c_TolerancePutAwayTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu04d_TolerancePutAwayTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu04e_TolerancePutAwayTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu07_ToleranceBoxTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu07a_ToleranceBoxTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu07b_ToleranceBoxTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu07c_ToleranceBoxTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu07d_ToleranceBoxTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu08_ToleranceMoveTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu08a_ToleranceMoveTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu08b_ToleranceMoveTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu08c_ToleranceMoveTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu08d_ToleranceMoveTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu10_CalculateToleranceQuantitiesTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOu11_ReCalculateToleranceQuantitiesOnUserChangeTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOv_AutomaticInvoiceFromShipmentTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOw_DeviationToCrossDocking.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOx_CloseSalesOrder.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOy_GeneratePickingFromOrderLinesPE.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/ToleranceBaseTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/ici/AWOici_GenerateList.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/ici/AWOici_PlannedCount.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/ici/AWOici_SharedCount_BaseTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/ici/AWOici_SharedCount_ConfigExceptions.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/ici/AWOici_SharedCount_OneUser.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/ici/AWOici_UpdateBookQtysAndCreateTasks.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/ici/AWOici_WeldBaseTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/utils/AWOTestUtils.java
---
(0137469)
hgbot (developer)
2022-05-19 09:56

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/merge_requests/43 [^]
(0137470)
hgbot (developer)
2022-05-19 09:56

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/-/merge_requests/6 [^]
(0137471)
hgbot (developer)
2022-05-19 09:56

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.bytotal [^]
Changeset: 508dcd3276175f55ef6dc9c1a76cbe60bae90329
Author: meriem azaf <meriem.azaf@openbravo.com>
Date: 19-05-2022 07:56:31
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.bytotal/-/commit/508dcd3276175f55ef6dc9c1a76cbe60bae90329 [^]

Related to ISSUE-47111: Replaces deprecated assertThat from org.junit with org.hamcrest and ExpectedException with assertThrows

---
M src-test/org/openbravo/retail/discounts/bytotal/actionhandler/ImportFreeProductInDiscountTest.java
M src-test/org/openbravo/retail/discounts/bytotal/actionhandler/OfferPickFreeProductActionHandlerTest.java
M src-test/org/openbravo/retail/discounts/bytotal/test/unittests/CheckDiscountByTotalTest.java
M src-test/org/openbravo/retail/discounts/bytotal/test/unittests/DiscountByTotalAmountScaledTest.java
M src-test/org/openbravo/retail/discounts/bytotal/test/unittests/DiscountByTotalAmountTest.java
M src-test/org/openbravo/retail/discounts/bytotal/test/unittests/DiscountByTotalFreeItemsTest.java
M src-test/org/openbravo/retail/discounts/bytotal/test/unittests/DiscountByTotalPercentageScaledTest.java
M src-test/org/openbravo/retail/discounts/bytotal/test/unittests/DiscountByTotalPercentageTest.java
M src-test/org/openbravo/retail/discounts/bytotal/test/unittests/DiscountFixedDiscountPerTotalAmountTest.java
M src-test/org/openbravo/retail/discounts/bytotal/test/unittests/DiscountFixedPercentagePerTotalAmountTest.java
M src-test/org/openbravo/retail/discounts/bytotal/test/unittests/DiscountVariableDiscountPerTotalAmountTest.java
M src-test/org/openbravo/retail/discounts/bytotal/test/unittests/DiscountVariablePercentagePerTotalAmountTest.java
M src-test/org/openbravo/retail/discounts/bytotal/test/unittests/I35975_VerifyFreeProductsPerTotalAmountTest.java
M src-test/org/openbravo/retail/discounts/bytotal/test/unittests/I37027_VerifyManualDiscountsByTotalTest.java
M src-test/org/openbravo/retail/discounts/bytotal/test/unittests/I39536_VerifyTotalDiscountWithSplitLinesTest.java
M src-test/org/openbravo/retail/discounts/bytotal/test/unittests/I40007_VerifyWhenAddDiscFixed5EuroTest.java
M src-test/org/openbravo/retail/discounts/bytotal/test/unittests/I40460_VerifyTotalDiscountWithPriorityTest.java
M src-test/org/openbravo/retail/discounts/bytotal/test/unittests/I40666_VerifyTotalDiscountWithNonGroupedProductTest.java
M src-test/org/openbravo/retail/discounts/bytotal/test/unittests/I40812_VerifyMultiManualTotalDiscountsTest.java
M src-test/org/openbravo/retail/discounts/bytotal/test/unittests/I41097_VerifyManualAndTotalDiscountsTest.java
M src-test/org/openbravo/retail/discounts/bytotal/test/unittests/I41397_VerifyNoNegativeTotalPriceWithManualDiscountsTest.java
---
(0137472)
hgbot (developer)
2022-05-19 09:56

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.bytotal/-/merge_requests/14 [^]
(0137473)
hgbot (developer)
2022-05-19 09:56

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.combo/-/merge_requests/18 [^]
(0137474)
hgbot (developer)
2022-05-19 09:56

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.combo [^]
Changeset: 8ff1556aef1847ecdc13d48fda157a3a49682b32
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 10-05-2022 10:30:38
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.combo/-/commit/8ff1556aef1847ecdc13d48fda157a3a49682b32 [^]

Related to ISSUE-47111: Replaced deprecated assertThat from org.junit with org.hamcrest

---
M src-test/org/openbravo/discounts/combo/test/unittests/AutoincludeComboWithFamiliesWithOneItemTest.java
M src-test/org/openbravo/discounts/combo/test/unittests/CheckComboFixPriceDiscountsTest.java
M src-test/org/openbravo/discounts/combo/test/unittests/DiscountComboFixedPriceTest.java
M src-test/org/openbravo/discounts/combo/test/unittests/DiscountComboProductFixedPriceTest.java
M src-test/org/openbravo/discounts/combo/test/unittests/DiscountComboTest.java
M src-test/org/openbravo/discounts/combo/test/unittests/I34809_WrongCalculationOfComboDependingSequenceTest.java
M src-test/org/openbravo/discounts/combo/test/unittests/I35583_VerifyComboFixPriceTest.java
M src-test/org/openbravo/discounts/combo/test/unittests/I35583_VerifyComboFixPriceTest2.java
M src-test/org/openbravo/discounts/combo/test/unittests/I38074_VerifyComboFixedPriceDiscountsTest.java
M src-test/org/openbravo/discounts/combo/test/unittests/I39513_VerifyMultiComboFixedPriceTest.java
M src-test/org/openbravo/discounts/combo/test/unittests/I39831_VerifyComboFixedPriceDiscountAppliedToProductWithSamePriceTest.java
M src-test/org/openbravo/discounts/combo/test/unittests/I40197_ComboApplyDiscountByHoursTest.java
M src-test/org/openbravo/discounts/combo/test/unittests/I46169_VerifyMultiComboForSameProductTest.java
---
(0137475)
hgbot (developer)
2022-05-19 09:56

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.externaldata.integration/-/merge_requests/18 [^]
(0137476)
hgbot (developer)
2022-05-19 09:56

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.externaldata.integration [^]
Changeset: 7b312c6c1851ea1134b016c81e29bd25c6c8607d
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 19-05-2022 07:52:08
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.externaldata.integration/-/commit/7b312c6c1851ea1134b016c81e29bd25c6c8607d [^]

Related to ISSUE-47111: Replace deprecated ExpectedException with assertThrows

---
M src-test/org/openbravo/externaldata/integration/process/AddRequestTest.java
---
(0137477)
hgbot (developer)
2022-05-19 09:56

Repository: https://gitlab.com/openbravo/product/pmods/com.practicsbs.saftpt.retail [^]
Changeset: 927e04a3d52efebf91e2e7df3ca7e631a5d0b22f
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 17-05-2022 12:11:44
URL: https://gitlab.com/openbravo/product/pmods/com.practicsbs.saftpt.retail/-/commit/927e04a3d52efebf91e2e7df3ca7e631a5d0b22f [^]

Related to ISSUE-47111: Replace deprecated ExpectedException with assertThrows and assertThat from org.junit with org.hamcrest

---
M src-test/com/practicsbs/saftpt/retail/hook/SaftrOrderLoaderHookTest.java
---
(0137478)
hgbot (developer)
2022-05-19 09:56

Merge request merged: https://gitlab.com/openbravo/product/pmods/com.practicsbs.saftpt.retail/-/merge_requests/41 [^]
(0137479)
hgbot (developer)
2022-05-19 09:56

Repository: https://gitlab.com/openbravo/product/mods/org.openbravo.distributionorder [^]
Changeset: d511ffe91e09209a44add158889473ce32cf3484
Author: meriem azaf <meriem.azaf@openbravo.com>
Date: 19-05-2022 07:56:41
URL: https://gitlab.com/openbravo/product/mods/org.openbravo.distributionorder/-/commit/d511ffe91e09209a44add158889473ce32cf3484 [^]

Related to ISSUE-47111: Replaces deprecated assertThat from org.junit with org.hamcrest and ExpectedException with assertThrows

---
M src-test/org/openbravo/distributionorder/test/utils/DistributionOrderTestUtils.java
---
(0137480)
hgbot (developer)
2022-05-19 09:56

Merge request merged: https://gitlab.com/openbravo/product/mods/org.openbravo.distributionorder/-/merge_requests/7 [^]
(0137481)
hgbot (developer)
2022-05-19 09:56

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.operatorloadbalancing [^]
Changeset: 18bcec4c67b6452e13da04aa6bd822e870fa7290
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 13-04-2022 10:55:20
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.operatorloadbalancing/-/commit/18bcec4c67b6452e13da04aa6bd822e870fa7290 [^]

Related to ISSUE-47111: Replace deprecated assertThat from org.junit with org.hamcrest

---
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/operatorloadbalancing/test/OLBTaskAssigment.java
---
(0137482)
hgbot (developer)
2022-05-19 09:56

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.operatorloadbalancing/-/merge_requests/4 [^]
(0137483)
hgbot (developer)
2022-05-19 09:56

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.loyalty.burn.giftcertificate [^]
Changeset: b8242141bd70aba4a066201943e821f321cba01f
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 13-04-2022 11:30:37
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.loyalty.burn.giftcertificate/-/commit/b8242141bd70aba4a066201943e821f321cba01f [^]

Related to ISSUE-47111: Replaced deprecated assertThat from org.junit with org.hamcrest

---
M src-test/org/openbravo/loyalty/burn/giftcertificate/test/GiftCertificateTest.java
---
(0137484)
hgbot (developer)
2022-05-19 09:56

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.loyalty.burn.coupon [^]
Changeset: 37597ec4651d22edcc83a198286954568836d076
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 13-04-2022 11:33:33
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.loyalty.burn.coupon/-/commit/37597ec4651d22edcc83a198286954568836d076 [^]

Related to ISSUE-47111: Replaced deprecated assertThat from org.junit with org.hamcrest

---
M src-test/org/openbravo/loyalty/burn/coupon/test/BurnCouponTest.java
---
(0137485)
hgbot (developer)
2022-05-19 09:56

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.loyalty.burn.giftcertificate/-/merge_requests/3 [^]
(0137486)
hgbot (developer)
2022-05-19 09:56

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.loyalty.burn.coupon/-/merge_requests/3 [^]
(0137487)
hgbot (developer)
2022-05-19 09:56

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.taxes [^]
Changeset: 9d7e65c35bae8422b12b01978b203ac4a0e0f026
Author: meriem azaf <meriem.azaf@openbravo.com>
Date: 19-05-2022 07:56:49
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.taxes/-/commit/9d7e65c35bae8422b12b01978b203ac4a0e0f026 [^]

Related to ISSUE-47111: Replaces deprecated assertThat from org.junit with org.hamcrest and ExpectedException with assertThrows

---
M src-test/org/openbravo/taxes/test/base/TaxesBaseTest.java
M src-test/org/openbravo/taxes/test/performance/PerformanceTest.java
M src-test/org/openbravo/taxes/test/unittests/TaxesTest.java
---
(0137488)
hgbot (developer)
2022-05-19 09:56

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.taxes/-/merge_requests/10 [^]
(0137489)
hgbot (developer)
2022-05-19 09:56

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.discounts [^]
Changeset: 04c3015060b9082aebcb3cb41bd0ac2ddcc0a2cb
Author: meriem azaf <meriem.azaf@openbravo.com>
Date: 19-05-2022 07:56:58
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.discounts/-/commit/04c3015060b9082aebcb3cb41bd0ac2ddcc0a2cb [^]

Related to ISSUE-47111: Replaces deprecated assertThat from org.junit with org.hamcrest and ExpectedException with assertThrows

---
M src-test/org/openbravo/discounts/test/performance/PerformanceTest.java
---
(0137490)
hgbot (developer)
2022-05-19 09:57

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.discounts/-/merge_requests/14 [^]
(0137491)
hgbot (developer)
2022-05-19 09:57

Repository: https://gitlab.com/openbravo/product/pmods/com.practicsbs.saftpt [^]
Changeset: b2718c4b9bb2078d8788aa8bbbd10e21962d1217
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 10-05-2022 10:30:38
URL: https://gitlab.com/openbravo/product/pmods/com.practicsbs.saftpt/-/commit/b2718c4b9bb2078d8788aa8bbbd10e21962d1217 [^]

Related to ISSUE-47111: Replace deprecated assertThat from org.junit with org.hamcrest

---
M src-test/com/practicsbs/saftpt/data/ExportSourceDocsTest.java
---
(0137492)
hgbot (developer)
2022-05-19 09:57

Merge request merged: https://gitlab.com/openbravo/product/pmods/com.practicsbs.saftpt/-/merge_requests/28 [^]
(0137493)
hgbot (developer)
2022-05-19 09:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.selfreplenishment [^]
Changeset: 756d621ceafd61dab71a74d16b8c727e9453607b
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 16-05-2022 15:20:12
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.selfreplenishment/-/commit/756d621ceafd61dab71a74d16b8c727e9453607b [^]

Related to ISSUE-47111: Replace deprecated ExpectedException with assertThrows
Remove the local variable replenConfigId because it is not used

---
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/selfreplenishment/test/AWOreplen_ConfigurationTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/selfreplenishment/test/AWOreplen_PerformanceTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/selfreplenishment/test/ReplenishmentAsserts.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/selfreplenishment/test/ReplenishmentTestUtils.java
---
(0137494)
hgbot (developer)
2022-05-19 09:57

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.selfreplenishment/-/merge_requests/4 [^]
(0137495)
hgbot (developer)
2022-05-19 09:57

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.maintenancemanagement.infrastructure/-/merge_requests/2 [^]
(0137496)
hgbot (developer)
2022-05-19 09:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.maintenancemanagement.infrastructure [^]
Changeset: 6da9df45468e9015d70380662957ab0282f25d54
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 13-01-2022 12:06:48
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.maintenancemanagement.infrastructure/-/commit/6da9df45468e9015d70380662957ab0282f25d54 [^]

Related to ISSUE-47111: Replaced deprecated assertThat from org.junit with org.hamcrest

---
M src-test/org/openbravo/module/maintenancemanagement/infrastructure/test/CreateWorkOrderTest.java
---
(0137497)
hgbot (developer)
2022-05-19 09:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.integration.magento.core [^]
Changeset: 2f925d1d938d155eebe00ff0a48219f985e6dab6
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 24-02-2022 15:47:21
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.integration.magento.core/-/commit/2f925d1d938d155eebe00ff0a48219f985e6dab6 [^]

Related to ISSUE-47111: Replaces deprecated assertThat from org.junit with org.hamcrest

---
M src-test/org/openbravo/service/integration/magento/core/export/BaseMagentoExporterTest.java
M src-test/org/openbravo/service/integration/magento/core/util/JsonComparatorTest.java
---
(0137498)
hgbot (developer)
2022-05-19 09:57

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.integration.magento.core/-/merge_requests/3 [^]
(0137499)
hgbot (developer)
2022-05-19 09:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.oms.retail [^]
Changeset: fd90c5236dc7fc3b5b3f0dc4f69c1c2722af35d7
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 19-01-2022 19:07:03
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.oms.retail/-/commit/fd90c5236dc7fc3b5b3f0dc4f69c1c2722af35d7 [^]

Related to ISSUE-47111: Replace deprecated assertThat from org.junit with org.hamcrest

---
M src-test/org/openbravo/oms/retail/test/stockbywarehousehook/StockByWarehouseHookTestRunner.java
---
(0137500)
hgbot (developer)
2022-05-19 09:57

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.oms.retail/-/merge_requests/4 [^]
(0137501)
hgbot (developer)
2022-05-19 09:57

Repository: https://gitlab.com/openbravo/product/mods/org.openbravo.module.productbomversion [^]
Changeset: 52b778ccd52ee08ff35f108ee64e5fb6246db4cd
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 19-01-2022 18:57:27
URL: https://gitlab.com/openbravo/product/mods/org.openbravo.module.productbomversion/-/commit/52b778ccd52ee08ff35f108ee64e5fb6246db4cd [^]

Related to ISSUE-47111: Replace deprecated assertThat from org.junit with org.hamcrest

---
M src-test/org/openbravo/module/productbomversion/test/AddSubstituteTest.java
M src-test/org/openbravo/module/productbomversion/test/BOMVersionTestSuite.java
M src-test/org/openbravo/module/productbomversion/test/VerifyBOMTest.java
M src-test/org/openbravo/module/productbomversion/test/VerifyBOMVersionTest.java
---
(0137502)
hgbot (developer)
2022-05-19 09:57

Merge request merged: https://gitlab.com/openbravo/product/mods/org.openbravo.module.productbomversion/-/merge_requests/2 [^]
(0137503)
hgbot (developer)
2022-05-19 09:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.scaledprice [^]
Changeset: 430fe9c89152270a9bd749c029a80ad0a3f47596
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 17-05-2022 11:10:34
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.scaledprice/-/commit/430fe9c89152270a9bd749c029a80ad0a3f47596 [^]

Related to ISSUE-47111: Replaced deprecated assertThat from org.junit with org.hamcrest

---
M src-test/org/openbravo/discounts/scaledprice/test/unittests/DiscountScaledPriceTest.java
M src-test/org/openbravo/discounts/scaledprice/test/unittests/I38736_VerifyScalePriceDiscountTest.java
M src-test/org/openbravo/discounts/scaledprice/test/unittests/I38813_VerifyDiscountWhenCanceledByAnotherTest.java
M src-test/org/openbravo/discounts/scaledprice/test/unittests/I38813_VerifyDiscountWhenCanceledByAnotherTest2.java
M src-test/org/openbravo/discounts/scaledprice/test/unittests/I40478_VerifyScaledDiscountWithLowerPriceTest.java
---
(0137504)
hgbot (developer)
2022-05-19 09:57

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.scaledprice/-/merge_requests/6 [^]
(0137505)
hgbot (developer)
2022-05-19 09:57

Repository: https://gitlab.com/openbravo/ci/modules/org.openbravo.dqm.capency.testing [^]
Changeset: b5207b4b8689af652711ba075792b15560eca766
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 19-01-2022 18:52:11
URL: https://gitlab.com/openbravo/ci/modules/org.openbravo.dqm.capency.testing/-/commit/b5207b4b8689af652711ba075792b15560eca766 [^]

Related to ISSUE-47111: Replaced deprecated assertThat from org.junit with org.hamcrest

---
M src-test/org/openbravo/dqm/capency/testing/CapencyEnabledTests.java
M src-test/org/openbravo/dqm/capency/testing/CapencyNotEnabledTests.java
M src-test/org/openbravo/dqm/capency/testing/CapencyPhoneNationalFormatTests.java
---
(0137506)
hgbot (developer)
2022-05-19 09:57

Merge request merged: https://gitlab.com/openbravo/ci/modules/org.openbravo.dqm.capency.testing/-/merge_requests/2 [^]
(0137507)
hgbot (developer)
2022-05-19 09:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.oms.orderconfirmation [^]
Changeset: 508b8319bb37c30d26065bfff230fa9d2306aed0
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 19-01-2022 18:35:27
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.oms.orderconfirmation/-/commit/508b8319bb37c30d26065bfff230fa9d2306aed0 [^]

Related to ISSUE-47111: Replaced deprecated assertThat from org.junit with org.hamcrest

---
M src-test/org/openbravo/retail/oms/orderconfirmation/background/AutomaticEvaluationOrderTest.java
M src-test/org/openbravo/retail/oms/orderconfirmation/background/NotConfirmedOrderTest.java
M src-test/org/openbravo/retail/oms/orderconfirmation/externalorderloader/ExternalOrderLoaderTest.java
---
(0137508)
hgbot (developer)
2022-05-19 09:57

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.oms.orderconfirmation/-/merge_requests/3 [^]
(0137509)
hgbot (developer)
2022-05-19 09:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.loyalty.earn.buyxearny [^]
Changeset: 4b6ca9882e9e167ce9402f6c368ad47079373a04
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 19-01-2022 17:40:04
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.loyalty.earn.buyxearny/-/commit/4b6ca9882e9e167ce9402f6c368ad47079373a04 [^]

Related to ISSUE-47111: Replaced deprecated assertThat from org.junit with org.hamcrest

---
M src-test/org/openbravo/loyalty/earn/buyxearny/BuyXEarnYPointsTest.java
---
(0137510)
hgbot (developer)
2022-05-19 09:57

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.loyalty.earn.buyxearny/-/merge_requests/6 [^]
(0137511)
hgbot (developer)
2022-05-19 09:57

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discount.twofamiliescombo/-/merge_requests/2 [^]
(0137512)
hgbot (developer)
2022-05-19 09:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discount.twofamiliescombo [^]
Changeset: 7cf0196f569375ea872893e871a6aee85a53f568
Author: meriem azaf <meriem.azaf@openbravo.com>
Date: 19-05-2022 07:57:19
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discount.twofamiliescombo/-/commit/7cf0196f569375ea872893e871a6aee85a53f568 [^]

Related to ISSUE-47111: Replaces deprecated assertThat from org.junit with org.hamcrest and ExpectedException with assertThrows

---
M src-test/org/openbravo/discount/twofamiliescombo/test/unittests/CheckTwoFamiliesDiscountsTest.java
M src-test/org/openbravo/discount/twofamiliescombo/test/unittests/DiscountTwoFamiliesComboTest.java
M src-test/org/openbravo/discount/twofamiliescombo/test/unittests/I32421_TwoFamiliesWithSameProductTest.java
M src-test/org/openbravo/discount/twofamiliescombo/test/unittests/I32526_TwoFamiliesWithSameTwoProductsTest.java
---
(0137513)
hgbot (developer)
2022-05-19 09:57

Repository: https://gitlab.com/openbravo/product/mods/org.openbravo.france.ecotax [^]
Changeset: 273f8ab5b66a442fb8a3f8c9655311d7af1e38b4
Author: meriem azaf <meriem.azaf@openbravo.com>
Date: 19-05-2022 07:57:21
URL: https://gitlab.com/openbravo/product/mods/org.openbravo.france.ecotax/-/commit/273f8ab5b66a442fb8a3f8c9655311d7af1e38b4 [^]

Related to ISSUE-47111: Replaces deprecated assertThat from org.junit with org.hamcrest and ExpectedException with assertThrows

---
M src-test/org/openbravo/france/ecotax/test/OBFETEcoTaxTests.java
---
(0137514)
hgbot (developer)
2022-05-19 09:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.oms [^]
Changeset: d5024d66e7712c3f723ec471ade7b5a19544a278
Author: meriem azaf <meriem.azaf@openbravo.com>
Date: 19-05-2022 07:57:16
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.oms/-/commit/d5024d66e7712c3f723ec471ade7b5a19544a278 [^]

Related to ISSUE-47111: Replaces deprecated assertThat from org.junit with org.hamcrest and ExpectedException with assertThrows

---
M src-test/org/openbravo/oms/test/OMSTestUtils.java
M src-test/org/openbravo/oms/test/engine/OMSNotFullStockTest.java
M src-test/org/openbravo/oms/test/engine/OMSNotFullStockTest0.java
M src-test/org/openbravo/oms/test/engine/OMSNotStockAtAll.java
M src-test/org/openbravo/oms/test/engine/OMSTestRunner.java
M src-test/org/openbravo/oms/test/engine/Test_OrderComplete_NotPossible.java
M src-test/org/openbravo/oms/test/engine/Test_OrderComplete_NotPossible0.java
M src-test/org/openbravo/oms/test/engine/Test_OrderComplete_NotPossible1.java
M src-test/org/openbravo/oms/test/engine/Test_OrderComplete_NotPossible2.java
---
(0137515)
hgbot (developer)
2022-05-19 09:57

Merge request merged: https://gitlab.com/openbravo/product/mods/org.openbravo.france.ecotax/-/merge_requests/1 [^]
(0137516)
hgbot (developer)
2022-05-19 09:57

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.oms/-/merge_requests/3 [^]
(0137517)
hgbot (developer)
2022-05-19 09:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.batchwavepicking [^]
Changeset: c50e08081b6c55d9a17ca6363b222cf8c802c078
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 27-12-2021 15:50:28
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.batchwavepicking/-/commit/c50e08081b6c55d9a17ca6363b222cf8c802c078 [^]

Related to ISSUE-47111: Replace deprecated assertThat from org.junit with org.hamcrest

---
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/batchwavepicking/test/OBAWOPLWavePickingSalesOrderTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/batchwavepicking/test/OBAWOWavePickingDOIssueTest.java
---
(0137518)
hgbot (developer)
2022-05-19 09:57

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.batchwavepicking/-/merge_requests/2 [^]
(0137519)
hgbot (developer)
2022-05-19 09:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.loyalty.burn.expired [^]
Changeset: f90bc9d5aa76fbfb0672f86c257084256d68eb36
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 09-12-2021 16:08:17
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.loyalty.burn.expired/-/commit/f90bc9d5aa76fbfb0672f86c257084256d68eb36 [^]

Related to ISSUE-47111: Replaced deprecated assertThat from org.junit with org.hamcrest

---
M src-test/org/openbravo/loyalty/burn/expired/test/ExpiredTest.java
---
(0137520)
hgbot (developer)
2022-05-19 09:57

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.loyalty.burn.expired/-/merge_requests/3 [^]
(0137521)
hgbot (developer)
2022-05-19 09:57

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/957 [^]
(0137522)
hgbot (developer)
2022-05-19 09:57

Repository: https://gitlab.com/openbravo/ci/modules/org.openbravo.api.tests [^]
Changeset: debd2bfb460d65670f7017aae191ea9fc03ece64
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 19-05-2022 09:50:59
URL: https://gitlab.com/openbravo/ci/modules/org.openbravo.api.tests/-/commit/debd2bfb460d65670f7017aae191ea9fc03ece64 [^]

Related to ISSUE-47111: Replace deprecated assertThat from org.junit with org.hamcrest

---
M src-test/org/openbravo/api/tests/importer/ApiComplementaryImportMappingsTest.java
M src-test/org/openbravo/api/tests/importer/ApiImportMappingsTest.java
M src-test/org/openbravo/api/tests/importer/ApiMultiUPCImportMappingsTest.java
M src-test/org/openbravo/api/tests/importer/ImportInventory.java
M src-test/org/openbravo/api/tests/importer/ImportProductCategory.java
M src-test/org/openbravo/api/tests/mappings/ApiMappingBaseTest.java
---
(0137523)
hgbot (developer)
2022-05-19 09:57

Merge request merged: https://gitlab.com/openbravo/ci/modules/org.openbravo.api.tests/-/merge_requests/11 [^]
(0137524)
hgbot (developer)
2022-05-19 09:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: b5b08e773909de57303cc8a59571efbb067796b6
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 19-05-2022 09:49:27
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/b5b08e773909de57303cc8a59571efbb067796b6 [^]

Related to ISSUE-47111: Replace deprecated ExpectedException with assertThrows

---
M src-test/org/openbravo/pos2/master/print/TemplateValidator.java
---
(0137525)
hgbot (developer)
2022-05-19 09:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.api [^]
Changeset: 672ec470fda806e03f862beca6e3bc34eb9a37b5
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 19-05-2022 09:51:29
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.api/-/commit/672ec470fda806e03f862beca6e3bc34eb9a37b5 [^]

Related to ISSUE-47111: Replace deprecated ExpectedException with assertThrows and assertThat from org.junit with org.hamcrest

---
M src-test/org/openbravo/api/dal/ApiEventCreationTest.java
M src-test/org/openbravo/api/dal/ApiSubscriptionCreationTest.java
M src-test/org/openbravo/api/event/ApiEventStoreTest.java
M src-test/org/openbravo/api/event/subscription/ApiSubscriptionStoreTest.java
M src-test/org/openbravo/api/export/ApiExporterTest.java
M src-test/org/openbravo/api/file/csv/CSVToJSONTransformerTest.java
M src-test/org/openbravo/api/file/json/JSONObjectStreamSupplierTest.java
M src-test/org/openbravo/api/service/BaseApiServiceTest.java
M src-test/org/openbravo/api/service/JSONResponseWriterTest.java
M src-test/org/openbravo/api/util/ExportFilterParametersTest.java
M src-test/org/openbravo/dal/service/DataPoolCheckerBusinessAPITest.java
M src-test/org/openbravo/dal/service/SelectionPoolConfigurationTest.java
---
(0137526)
hgbot (developer)
2022-05-19 09:57

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.api/-/merge_requests/14 [^]
(0137527)
hgbot (developer)
2022-05-19 09:58

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: ca03ab3de5dfe1c53932f87456c5930d21c39407
Author: Cristian Berner <cristian.berner@openbravo.com>
Date: 19-05-2022 09:53:43
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/ca03ab3de5dfe1c53932f87456c5930d21c39407 [^]

Fixes ISSUE-47111: Update junit to version 4.13.2

Merged branch 'fix/47111-junit4'.
- Changes assertThat import from junit to hamcrest.
- Changes ExpectedException usage to use assertThrows API instead.
- Updated junit library from version 4.12 to version 4.13.2

---
A lib/test/junit-4.13.2.jar
M legal/Licensing.txt
M modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/testinfrastructure/CdiInfrastructure.java
M modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/testinfrastructure/DalPersistanceEventTest.java
M modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/testinfrastructure/ParameterizedCdi.java
M modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/testinfrastructure/ParameterizedCdiWithSkip.java
M modules/org.openbravo.client.application/src-test/org/openbravo/client/application/test/ADCSInitialization.java
M modules/org.openbravo.client.application/src-test/org/openbravo/client/application/test/ADCSTest.java
M modules/org.openbravo.client.application/src-test/org/openbravo/client/application/test/DisplayLogicAtServerLevelTest.java
M modules/org.openbravo.client.application/src-test/org/openbravo/client/application/test/DynamicExpressionParserTest.java
M modules/org.openbravo.client.application/src-test/org/openbravo/client/application/test/SelectionPoolConfigurationTest.java
M modules/org.openbravo.client.application/src-test/org/openbravo/client/application/test/StandardWindowTest.java
M modules/org.openbravo.client.application/src-test/org/openbravo/client/application/test/event/DatasourceEventObserver.java
M modules/org.openbravo.client.application/src-test/org/openbravo/client/application/test/event/PersistanceObserver.java
M modules/org.openbravo.client.kernel/src-test/org/openbravo/client/kernel/test/CompressionTest.java
M src-test/.classpath.template
M src-test/src/org/openbravo/advpaymentmngt/test/DocumentNumberGeneration.java
M src-test/src/org/openbravo/advpaymentmngt/test/FundsTransferTest.java
M src-test/src/org/openbravo/authentication/hashing/PasswordHashing.java
M src-test/src/org/openbravo/cache/TimeInvalidatedCacheTest.java
M src-test/src/org/openbravo/client/kernel/CSSMinifier.java
M src-test/src/org/openbravo/dal/service/DataPoolCheckerTest.java
M src-test/src/org/openbravo/scheduling/ProcessSchedulingTest.java
M src-test/src/org/openbravo/scheduling/trigger/MisfirePolicyTest.java
M src-test/src/org/openbravo/scheduling/trigger/TriggerProviderTest.java
M src-test/src/org/openbravo/service/externalsystem/ExternalSystemProviderTest.java
M src-test/src/org/openbravo/service/externalsystem/http/HttpExternalSystemCommunicationTest.java
M src-test/src/org/openbravo/service/externalsystem/http/HttpExternalSystemDataCreationTest.java
M src-test/src/org/openbravo/synchronization/event/EventTriggeringTest.java
M src-test/src/org/openbravo/test/accounting/PostDocumentTest.java
M src-test/src/org/openbravo/test/authentication/AuthenticationManagerTest.java
M src-test/src/org/openbravo/test/cancelandreplace/CancelAndReplaceTest.java
M src-test/src/org/openbravo/test/cancelandreplace/CancelAndReplaceTestUtils.java
M src-test/src/org/openbravo/test/copyLinesFromOrders/CopyLinesFromOrdersTest.java
M src-test/src/org/openbravo/test/costing/TestIssue39888.java
M src-test/src/org/openbravo/test/costing/utils/TestCostingUtils.java
M src-test/src/org/openbravo/test/createlinesfrom/data/CLFTestDataPO_02.java
M src-test/src/org/openbravo/test/createlinesfrom/data/CLFTestDataSO_01.java
M src-test/src/org/openbravo/test/createlinesfrom/data/CreateLinesFromTestData.java
M src-test/src/org/openbravo/test/dal/DalLockingTest.java
M src-test/src/org/openbravo/test/dal/DalTest.java
M src-test/src/org/openbravo/test/dal/ImageTest.java
M src-test/src/org/openbravo/test/dal/OBContextTest.java
M src-test/src/org/openbravo/test/dal/ViewTest.java
M src-test/src/org/openbravo/test/datasource/DataSourceSecurity.java
M src-test/src/org/openbravo/test/datasource/DataSourceWhereParameter.java
M src-test/src/org/openbravo/test/datasource/EmptyStringWhereAndFilterClauseParameter.java
M src-test/src/org/openbravo/test/datasource/FICTest.java
M src-test/src/org/openbravo/test/datasource/FKDropDownDatasource.java
M src-test/src/org/openbravo/test/datasource/FetchDSNoActiveEntityObjects.java
M src-test/src/org/openbravo/test/datasource/GridExport.java
M src-test/src/org/openbravo/test/datasource/HQLDataSourceTest.java
M src-test/src/org/openbravo/test/datasource/LinkToParentTreeDataSourceTest.java
M src-test/src/org/openbravo/test/datasource/NonIdForeignKeyFilters.java
M src-test/src/org/openbravo/test/datasource/OpenRecordAfterLogin.java
M src-test/src/org/openbravo/test/datasource/OrganizationSelectorDataSourceTest.java
M src-test/src/org/openbravo/test/datasource/OtherDatasourceRequests.java
M src-test/src/org/openbravo/test/datasource/SummaryFieldRequestTest.java
M src-test/src/org/openbravo/test/datasource/TestAllowUnpagedDatasourcePreference.java
M src-test/src/org/openbravo/test/datasource/TestComboDatasource.java
M src-test/src/org/openbravo/test/datasource/TestNoteDatasource.java
M src-test/src/org/openbravo/test/db/model/functions/SqlCallableStatement.java
M src-test/src/org/openbravo/test/db/pool/PoolHasNoConnectionsDetection.java
M src-test/src/org/openbravo/test/expression/OBBindingsTest.java
M src-test/src/org/openbravo/test/inventoryStatus/InventoryStatusTest.java
M src-test/src/org/openbravo/test/matchers/json/JSONMatchersTest.java
M src-test/src/org/openbravo/test/materialMgmt/invoiceFromShipment/InvoiceFromShipmentTest.java
M src-test/src/org/openbravo/test/model/ClassLoaderTest.java
M src-test/src/org/openbravo/test/model/IndexesTest.java
M src-test/src/org/openbravo/test/model/RuntimeModelTest.java
M src-test/src/org/openbravo/test/modularity/ExecutionLimitsTest.java
M src-test/src/org/openbravo/test/preference/PreferenceTest.java
M src-test/src/org/openbravo/test/pricelist/PriceListTest.java
M src-test/src/org/openbravo/test/process/order/OrderProcessTest.java
M src-test/src/org/openbravo/test/productStatus/ProductStatusTest.java
M src-test/src/org/openbravo/test/reducedtranslation/ReducedTranslationExportTests.java
M src-test/src/org/openbravo/test/reducedtranslation/ReducedTranslationMenuEventObserverTest.java
M src-test/src/org/openbravo/test/referencedinventory/ReferencedInventoryBoxForcedReservation.java
M src-test/src/org/openbravo/test/referencedinventory/ReferencedInventoryBoxOverReservation2MovementLinesTest.java
M src-test/src/org/openbravo/test/referencedinventory/ReferencedInventoryBoxPartialReservation2MovementLinesTest.java
M src-test/src/org/openbravo/test/referencedinventory/ReferencedInventoryBoxSeveralStorageDetailsTest.java
M src-test/src/org/openbravo/test/referencedinventory/ReferencedInventoryBoxTest.java
M src-test/src/org/openbravo/test/referencedinventory/ReferencedInventoryExceptionTest.java
M src-test/src/org/openbravo/test/referencedinventory/ReferencedInventoryFullUnboxPartialReservation.java
M src-test/src/org/openbravo/test/referencedinventory/ReferencedInventoryPartialUnboxPartialReservation1MovementLineUnboxTest.java
M src-test/src/org/openbravo/test/referencedinventory/ReferencedInventoryPartialUnboxPartialReservation2MovementLinesUnboxTest.java
M src-test/src/org/openbravo/test/referencedinventory/ReferencedInventorySequenceTest.java
M src-test/src/org/openbravo/test/referencedinventory/ReferencedInventoryTest.java
M src-test/src/org/openbravo/test/referencedinventory/ReferencedInventoryTestUtils.java
M src-test/src/org/openbravo/test/referencedinventory/ReferencedInventoryUnboxReservationTest.java
M src-test/src/org/openbravo/test/referencedinventory/ReferencedInventoryUnboxTest.java
M src-test/src/org/openbravo/test/reporting/CompiledReportsCacheTest.java
M src-test/src/org/openbravo/test/reporting/JasperReportsExportTest.java
M src-test/src/org/openbravo/test/reporting/ReportingUtilsTest.java
M src-test/src/org/openbravo/test/role/inheritance/AccessPropagation.java
M src-test/src/org/openbravo/test/role/inheritance/AccessPropagationNotInherited.java
M src-test/src/org/openbravo/test/role/inheritance/DeletedAccessPropagation.java
M src-test/src/org/openbravo/test/role/inheritance/HorizontalInheritance.java
M src-test/src/org/openbravo/test/role/inheritance/RecalculatePermissions.java
M src-test/src/org/openbravo/test/role/inheritance/RoleInheritanceRestrictions.java
M src-test/src/org/openbravo/test/role/inheritance/VerticalInheritance.java
M src-test/src/org/openbravo/test/security/AllowedOrganizationsTest.java
M src-test/src/org/openbravo/test/security/BypassAccessLevelCheck.java
M src-test/src/org/openbravo/test/security/CrossOrganizationReference.java
M src-test/src/org/openbravo/test/security/CrossOrganizationUI.java
M src-test/src/org/openbravo/test/security/CrossOrganizationUICDI.java
M src-test/src/org/openbravo/test/security/ExplicitCrossOrganizationReference.java
M src-test/src/org/openbravo/test/security/PasswordStrengthCheckerTest.java
M src-test/src/org/openbravo/test/security/StandardCrossOrganizationReference.java
M src-test/src/org/openbravo/test/security/UserInfoSessionDataTest.java
M src-test/src/org/openbravo/test/security/WritableReadableOrganizationClientTest.java
M src-test/src/org/openbravo/test/selector/TestSelectorDefaultFilterActionHandler.java
M src-test/src/org/openbravo/test/services/ServicesTest.java
M src-test/src/org/openbravo/test/services/ServicesTest2.java
M src-test/src/org/openbravo/test/system/CryptoUtilities.java
M src-test/src/org/openbravo/test/system/ErrorTextParserIntegrationTest.java
M src-test/src/org/openbravo/test/system/ImportEntryBuilderTest.java
M src-test/src/org/openbravo/test/system/JSONSerialization.java
M src-test/src/org/openbravo/test/system/Sessions.java
M src-test/src/org/openbravo/test/system/TestInfrastructure.java
M src-test/src/org/openbravo/test/taxes/ModifyTaxesTest.java
M src-test/src/org/openbravo/test/taxes/TaxesTest.java
M src-test/src/org/openbravo/test/views/ConfigurableTransactionalFilters.java
M src-test/src/org/openbravo/test/views/ETagGeneration.java
M src-test/src/org/openbravo/test/views/GCSequenceNumberTests.java
M src-test/src/org/openbravo/test/views/SortingFilteringGridConfiguration.java
M src-test/src/org/openbravo/test/views/ViewGeneration.java
M src-test/src/org/openbravo/test/views/ViewGenerationWithDifferentConfigLevelTest.java
M src-test/src/org/openbravo/test/webservice/JSONWebServices.java
M src-test/src/org/openbravo/test/webservice/JSONWebServicesWhereParameter.java
M src-test/src/org/openbravo/test/webservice/WSReadableClientsTest.java
M src-test/src/org/openbravo/test/webservice/WSWithNoActiveDalObjects.java
M src-test/src/org/openbravo/test/xml/DefaultsDataset.java
R lib/test/junit-4.12.jar
---
(0137528)
hgbot (developer)
2022-05-19 09:58

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/455 [^]
(0137530)
hgbot (developer)
2022-05-19 11:45

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.api [^]
Changeset: d80cd3f43145cef0ad9c07452845ce514de11f14
Author: Cristian Berner <cristian.berner@openbravo.com>
Date: 19-05-2022 11:43:47
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.api/-/commit/d80cd3f43145cef0ad9c07452845ce514de11f14 [^]

Related to ISSUE-47111: Change imports for assertThat and usage of ExpectedException

Junit latest update requires updating this usages to the proper import
and to use assertThrows instead of ExpectedException.

---
M src-test/org/openbravo/api/dal/ApiExportFilterOfEntityMappingCheckerTest.java
---
(0137531)
hgbot (developer)
2022-05-19 11:48

Repository: https://gitlab.com/openbravo/ci/modules/org.openbravo.certification.france.testing [^]
Changeset: e710ad74df1fdbb727ce08cd2d5dbbbdf0a6085a
Author: Cristian Berner <cristian.berner@openbravo.com>
Date: 19-05-2022 11:47:04
URL: https://gitlab.com/openbravo/ci/modules/org.openbravo.certification.france.testing/-/commit/e710ad74df1fdbb727ce08cd2d5dbbbdf0a6085a [^]

Related to ISSUE-47111: Replaced deprecated assertThat import from org.junit with org.hamcrest

---
M src-test/org/openbravo/certification/france/testing/aggregation/test/OBCFRAggregationTestBase.java
M src-test/org/openbravo/certification/france/testing/blockchain/test/OBCFRBlockchainTestBase.java
M src-test/org/openbravo/certification/france/testing/gzip/test/OBCFRGzip.java
M src-test/org/openbravo/certification/france/testing/issue/test/OBCFRaIssueTicket.java
M src-test/org/openbravo/certification/france/testing/issue/test/OBCFRbIssueTicketTax.java
M src-test/org/openbravo/certification/france/testing/issue/test/OBCFRcIssueTicketReprint.java
M src-test/org/openbravo/certification/france/testing/issue/test/OBCFRdIssueTerminalMonitor.java
M src-test/org/openbravo/certification/france/testing/issue/test/OBCFReIssueTicketAggDay.java
M src-test/org/openbravo/certification/france/testing/issue/test/OBCFRfIssueTicketAggMonth.java
M src-test/org/openbravo/certification/france/testing/issue/test/OBCFRgIssueTicketAggYear.java
M src-test/org/openbravo/certification/france/testing/issue/test/OBCFRhIssueArchivingLog.java
M src-test/org/openbravo/certification/france/testing/ticket/test/OBCFRTicketTestBase.java
M src-test/org/openbravo/certification/france/testing/ticket/test/OBCFRbTicketInitializationBackground.java
---
(0137532)
hgbot (developer)
2022-05-19 11:58

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 857bfe13800f1be6378a185ed962c3894425369a
Author: Cristian Berner <cristian.berner@openbravo.com>
Date: 19-05-2022 11:55:47
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/857bfe13800f1be6378a185ed962c3894425369a [^]

Related to ISSUE-47111: Remove unused import

---
M src-test/org/openbravo/pos2/master/print/TemplateValidator.java
---
(0137533)
hgbot (developer)
2022-05-19 12:16

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.api [^]
Changeset: 7d5160e8c980f7db1c6c015ca0aebc6656730088
Author: Cristian Berner <cristian.berner@openbravo.com>
Date: 19-05-2022 12:15:53
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.api/-/commit/7d5160e8c980f7db1c6c015ca0aebc6656730088 [^]

Related to ISSUE-47111: Fix missing ExpectedException to use assertThrows instead

---
M src-test/org/openbravo/api/dal/ApiExportFilterOfEntityMappingCheckerTest.java
---

- Issue History
Date Modified Username Field Change
2021-06-14 11:26 shuehner New Issue
2021-06-14 11:26 shuehner Assigned To => platform
2021-06-14 11:26 shuehner Modules => Core
2021-06-14 11:26 shuehner Triggers an Emergency Pack => No
2021-06-14 11:27 shuehner Relationship added blocks 0047090
2021-06-14 11:28 shuehner Issue cloned 0047112
2021-06-14 11:28 shuehner Relationship added related to 0047112
2021-11-12 07:46 hgbot Note Added: 0132991
2021-12-09 10:53 hgbot Note Added: 0133549
2021-12-09 12:20 hgbot Note Added: 0133559
2021-12-09 12:26 hgbot Note Added: 0133560
2021-12-09 13:19 hgbot Note Added: 0133561
2021-12-09 13:25 hgbot Note Added: 0133562
2021-12-09 14:35 hgbot Note Added: 0133567
2021-12-09 14:38 hgbot Note Added: 0133568
2021-12-10 10:31 hgbot Note Added: 0133598
2021-12-10 10:33 hgbot Note Added: 0133599
2021-12-10 10:38 hgbot Note Added: 0133600
2021-12-10 10:47 hgbot Note Added: 0133601
2021-12-10 10:49 hgbot Note Added: 0133602
2021-12-10 10:51 hgbot Note Added: 0133603
2021-12-10 10:53 hgbot Note Added: 0133604
2021-12-10 10:55 hgbot Note Added: 0133605
2021-12-24 11:40 hgbot Note Added: 0133953
2021-12-24 15:26 hgbot Note Added: 0133967
2021-12-27 12:43 hgbot Note Added: 0133985
2021-12-27 16:04 hgbot Note Added: 0133992
2021-12-28 09:17 hgbot Note Added: 0133998
2021-12-28 09:43 hgbot Note Added: 0133999
2021-12-29 16:07 hgbot Note Added: 0134052
2021-12-29 16:21 hgbot Note Added: 0134053
2021-12-29 16:29 hgbot Note Added: 0134054
2021-12-29 16:31 hgbot Note Added: 0134055
2021-12-29 16:33 hgbot Note Added: 0134056
2021-12-29 16:36 hgbot Note Added: 0134057
2021-12-29 16:39 hgbot Note Added: 0134058
2021-12-29 16:41 hgbot Note Added: 0134059
2022-01-05 14:32 AugustoMauch Assigned To platform => alostale
2022-01-05 14:33 AugustoMauch Status new => scheduled
2022-03-17 13:16 hgbot Note Added: 0135801
2022-03-17 13:27 hgbot Note Added: 0135802
2022-03-17 13:35 hgbot Note Added: 0135803
2022-03-18 09:39 hgbot Note Added: 0135837
2022-05-13 11:31 hgbot Note Added: 0137261
2022-05-13 13:06 hgbot Note Added: 0137263
2022-05-17 11:26 hgbot Note Added: 0137365
2022-05-17 12:03 hgbot Note Added: 0137367
2022-05-19 09:55 hgbot Note Added: 0137461
2022-05-19 09:55 hgbot Note Added: 0137462
2022-05-19 09:55 hgbot Note Added: 0137463
2022-05-19 09:55 hgbot Note Added: 0137464
2022-05-19 09:55 hgbot Note Added: 0137465
2022-05-19 09:55 hgbot Note Added: 0137466
2022-05-19 09:56 hgbot Note Added: 0137467
2022-05-19 09:56 hgbot Note Added: 0137468
2022-05-19 09:56 hgbot Note Added: 0137469
2022-05-19 09:56 hgbot Note Added: 0137470
2022-05-19 09:56 hgbot Note Added: 0137471
2022-05-19 09:56 hgbot Note Added: 0137472
2022-05-19 09:56 hgbot Note Added: 0137473
2022-05-19 09:56 hgbot Note Added: 0137474
2022-05-19 09:56 hgbot Note Added: 0137475
2022-05-19 09:56 hgbot Note Added: 0137476
2022-05-19 09:56 hgbot Note Added: 0137477
2022-05-19 09:56 hgbot Note Added: 0137478
2022-05-19 09:56 hgbot Note Added: 0137479
2022-05-19 09:56 hgbot Note Added: 0137480
2022-05-19 09:56 hgbot Note Added: 0137481
2022-05-19 09:56 hgbot Note Added: 0137482
2022-05-19 09:56 hgbot Note Added: 0137483
2022-05-19 09:56 hgbot Note Added: 0137484
2022-05-19 09:56 hgbot Note Added: 0137485
2022-05-19 09:56 hgbot Note Added: 0137486
2022-05-19 09:56 hgbot Note Added: 0137487
2022-05-19 09:56 hgbot Note Added: 0137488
2022-05-19 09:56 hgbot Note Added: 0137489
2022-05-19 09:57 hgbot Note Added: 0137490
2022-05-19 09:57 hgbot Note Added: 0137491
2022-05-19 09:57 hgbot Note Added: 0137492
2022-05-19 09:57 hgbot Note Added: 0137493
2022-05-19 09:57 hgbot Note Added: 0137494
2022-05-19 09:57 hgbot Note Added: 0137495
2022-05-19 09:57 hgbot Note Added: 0137496
2022-05-19 09:57 hgbot Note Added: 0137497
2022-05-19 09:57 hgbot Note Added: 0137498
2022-05-19 09:57 hgbot Note Added: 0137499
2022-05-19 09:57 hgbot Note Added: 0137500
2022-05-19 09:57 hgbot Note Added: 0137501
2022-05-19 09:57 hgbot Note Added: 0137502
2022-05-19 09:57 hgbot Note Added: 0137503
2022-05-19 09:57 hgbot Note Added: 0137504
2022-05-19 09:57 hgbot Note Added: 0137505
2022-05-19 09:57 hgbot Note Added: 0137506
2022-05-19 09:57 hgbot Note Added: 0137507
2022-05-19 09:57 hgbot Note Added: 0137508
2022-05-19 09:57 hgbot Note Added: 0137509
2022-05-19 09:57 hgbot Note Added: 0137510
2022-05-19 09:57 hgbot Note Added: 0137511
2022-05-19 09:57 hgbot Note Added: 0137512
2022-05-19 09:57 hgbot Note Added: 0137513
2022-05-19 09:57 hgbot Note Added: 0137514
2022-05-19 09:57 hgbot Note Added: 0137515
2022-05-19 09:57 hgbot Note Added: 0137516
2022-05-19 09:57 hgbot Note Added: 0137517
2022-05-19 09:57 hgbot Note Added: 0137518
2022-05-19 09:57 hgbot Note Added: 0137519
2022-05-19 09:57 hgbot Note Added: 0137520
2022-05-19 09:57 hgbot Note Added: 0137521
2022-05-19 09:57 hgbot Note Added: 0137522
2022-05-19 09:57 hgbot Note Added: 0137523
2022-05-19 09:57 hgbot Note Added: 0137524
2022-05-19 09:57 hgbot Note Added: 0137525
2022-05-19 09:57 hgbot Note Added: 0137526
2022-05-19 09:58 hgbot Resolution open => fixed
2022-05-19 09:58 hgbot Status scheduled => closed
2022-05-19 09:58 hgbot Fixed in Version => PR22Q3
2022-05-19 09:58 hgbot Note Added: 0137527
2022-05-19 09:58 hgbot Note Added: 0137528
2022-05-19 11:45 hgbot Note Added: 0137530
2022-05-19 11:48 hgbot Note Added: 0137531
2022-05-19 11:58 hgbot Note Added: 0137532
2022-05-19 12:16 hgbot Note Added: 0137533


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker